// lib/use-form-store.tsx
import {
  createContext,
  useContext,
  useMemo
} from "react";
import { create } from "zustand";
import { jsx } from "react/jsx-runtime";
function storeGenerator() {
  return create(() => ({}));
}
var formStore = createContext(
  storeGenerator()
);
var FormStoreProvider = ({ children }) => {
  const storeApi = useMemo(storeGenerator, []);
  return /* @__PURE__ */ jsx(formStore.Provider, { value: storeApi, children });
};
function useFormStoreApi() {
  return useContext(formStore);
}

export {
  formStore,
  FormStoreProvider,
  useFormStoreApi
};
