import * as react_jsx_runtime from 'react/jsx-runtime';
import { FieldValues, FieldPath } from 'react-hook-form';
import { FormConfig } from './model/form-config.mjs';
import { FormField } from './model/field.mjs';
import { Store } from './use-form-store.mjs';
import './model/form-render-props.mjs';
import './model/field-settings-by-type.mjs';
import 'react';
import './model/option.mjs';
import './model/tag.mjs';
import './model/rule.mjs';
import './model/conditions.mjs';
import './model/types.mjs';
import 'zustand';

type FieldControllerProps<TFieldValues extends FieldValues = FieldValues, TName extends FieldPath<TFieldValues> = FieldPath<TFieldValues>> = Omit<FormConfig<TFieldValues>, "fields"> & {
    fieldConfig: FormField<TFieldValues, TName>;
    storeApi: Store;
};
declare function FormFields<TFieldValues extends FieldValues = FieldValues>({ fields, ...props }: FormConfig<TFieldValues>): react_jsx_runtime.JSX.Element;

export { type FieldControllerProps, FormFields };
