import * as react_jsx_runtime from 'react/jsx-runtime';
import { FieldValues, FieldPath } from 'react-hook-form';
import { FormConfig } from './model/form-config.js';
import { FormField } from './model/field.js';
import { Store } from './use-form-store.js';
import './model/form-render-props.js';
import './model/field-settings-by-type.js';
import 'react';
import './model/option.js';
import './model/tag.js';
import './model/rule.js';
import './model/conditions.js';
import './model/types.js';
import 'zustand';

type FieldControllerProps<TFieldValues extends FieldValues = FieldValues, TName extends FieldPath<TFieldValues> = FieldPath<TFieldValues>> = Omit<FormConfig<TFieldValues>, "fields"> & {
    fieldConfig: FormField<TFieldValues, TName>;
    storeApi: Store;
};
declare function FormFields<TFieldValues extends FieldValues = FieldValues>({ fields, ...props }: FormConfig<TFieldValues>): react_jsx_runtime.JSX.Element;

export { type FieldControllerProps, FormFields };
