import { FieldValues, FieldPath } from 'react-hook-form';
import { FieldSettingsByType } from './field-settings-by-type.js';
import { Rule } from './rule.js';
import { ValidateFieldResult } from './types.js';
import 'react';
import './option.js';
import './tag.js';
import './conditions.js';

type FormField<TFieldValues extends FieldValues = FieldValues, TName extends FieldPath<TFieldValues> = FieldPath<TFieldValues>> = {
    hidden?: boolean;
    validate?: (value: any) => ValidateFieldResult;
    name: TName;
    label?: string;
    required?: boolean;
    leftAddon?: React.ReactNode;
    rightAddon?: React.ReactNode;
    disabled?: boolean;
    size: number;
    placeholder?: string;
    helperText?: string;
    className?: string;
    style?: React.CSSProperties;
    /**
     * If returns true, whould activate field
     */
    rules?: Rule[];
} & FieldSettingsByType;

export type { FormField };
