import { FieldValues, FieldPath, Control } from 'react-hook-form';
import { FormField } from './field.mjs';
import { FormRenderProps } from './form-render-props.mjs';
import './field-settings-by-type.mjs';
import 'react';
import './option.mjs';
import './tag.mjs';
import './rule.mjs';
import './conditions.mjs';
import './types.mjs';

interface FormConfig<TFieldValues extends FieldValues = FieldValues, TName extends FieldPath<TFieldValues> = FieldPath<TFieldValues>> {
    fields: FormField<TFieldValues, TName>[];
    control: Control<TFieldValues>;
    requiredFields?: Record<string, any>;
    onChangeField?: (name: string, value: any) => void;
    render: (props: FormRenderProps<TFieldValues>) => React.ReactNode;
}
type FormType = Record<FormField["name"], any>;

export type { FormConfig, FormType };
