import { FieldValues, FieldPath, ControllerFieldState, ControllerRenderProps, Control } from 'react-hook-form';
import { FormField } from './field.mjs';
import './field-settings-by-type.mjs';
import 'react';
import './option.mjs';
import './tag.mjs';
import './rule.mjs';
import './conditions.mjs';
import './types.mjs';

type FormRenderProps<TFieldValues extends FieldValues = FieldValues, TName extends FieldPath<TFieldValues> = FieldPath<TFieldValues>> = {
    fieldState: ControllerFieldState;
    field: ControllerRenderProps<TFieldValues, TName>;
    fieldConfig: FormField<TFieldValues, TName>;
    control: Control<TFieldValues>;
    onChangeField?: (name: string, value: any) => void;
};

export type { FormRenderProps };
