import { FieldValues, FieldPath, ControllerFieldState, ControllerRenderProps, Control } from 'react-hook-form';
import { FormField } from './field.js';
import './field-settings-by-type.js';
import 'react';
import './option.js';
import './tag.js';
import './rule.js';
import './conditions.js';
import './types.js';

type FormRenderProps<TFieldValues extends FieldValues = FieldValues, TName extends FieldPath<TFieldValues> = FieldPath<TFieldValues>> = {
    fieldState: ControllerFieldState;
    field: ControllerRenderProps<TFieldValues, TName>;
    fieldConfig: FormField<TFieldValues, TName>;
    control: Control<TFieldValues>;
    onChangeField?: (name: string, value: any) => void;
};

export type { FormRenderProps };
