"use strict";
"use client";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// lib/use-required-fields.tsx
var use_required_fields_exports = {};
__export(use_required_fields_exports, {
  useRequiredFieldsByRules: () => useRequiredFieldsByRules
});
module.exports = __toCommonJS(use_required_fields_exports);
var import_react = require("react");
function getRequiredFieldNames(fields) {
  return fields.reduce((acc, curr) => {
    for (const field of curr) {
      if (field.rules) {
        for (const rule of field.rules) {
          acc.push(rule.dependentFieldName);
        }
      }
    }
    return acc;
  }, []);
}
function useRequiredFieldsByRules(watch, ...fields) {
  return (0, import_react.useMemo)(() => {
    if (!watch) {
      console.warn("watch is required");
      return {};
    }
    const requiredFieldNames = getRequiredFieldNames(fields);
    if (requiredFieldNames.length === 0) return {};
    const requiredFieldValues = watch(requiredFieldNames);
    return requiredFieldValues.reduce(
      (acc, curr, index) => {
        acc[requiredFieldNames[index]] = curr;
        return acc;
      },
      {}
    );
  }, [fields, watch]);
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  useRequiredFieldsByRules
});
