import { FormField } from './model/field.mjs';
import { FormStore } from './use-form-store.mjs';
import 'react-hook-form';
import './model/field-settings-by-type.mjs';
import 'react';
import './model/option.mjs';
import './model/tag.mjs';
import './model/rule.mjs';
import './model/conditions.mjs';
import './model/types.mjs';
import 'react/jsx-runtime';
import 'zustand';

/**
 * Verifica se as regras de validação em um objeto de configuração são atendidas com base nos valores fornecidos.
 *
 * @param config - O objeto de configuração que contém as regras de validação.
 * @param requiredFields - Um registro de campos obrigatórios com seus respectivos valores.
 * @returns `true` se pelo menos uma regra for válida, ou `true` se não houver regras definidas.
 */
declare function validateRules(config: FormField, requiredFields: Record<string, any>, formStore: FormStore): boolean;

export { validateRules };
