import { FormField } from './model/field.js';
import { FormStore } from './use-form-store.js';
import 'react-hook-form';
import './model/field-settings-by-type.js';
import 'react';
import './model/option.js';
import './model/tag.js';
import './model/rule.js';
import './model/conditions.js';
import './model/types.js';
import 'react/jsx-runtime';
import 'zustand';

/**
 * Verifica se as regras de validação em um objeto de configuração são atendidas com base nos valores fornecidos.
 *
 * @param config - O objeto de configuração que contém as regras de validação.
 * @param requiredFields - Um registro de campos obrigatórios com seus respectivos valores.
 * @returns `true` se pelo menos uma regra for válida, ou `true` se não houver regras definidas.
 */
declare function validateRules(config: FormField, requiredFields: Record<string, any>, formStore: FormStore): boolean;

export { validateRules };
