"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// lib/utilities.ts
var utilities_exports = {};
__export(utilities_exports, {
  validateRules: () => validateRules
});
module.exports = __toCommonJS(utilities_exports);
function validateRules(config, requiredFields, formStore) {
  if (!config.rules) return true;
  if (config.rules.length === 0) return true;
  return config.rules.some((rule) => {
    if (rule.value === void 0 || rule.value === null) return false;
    const dependentFieldValue = requiredFields[rule.dependentFieldName];
    const dependentFieldState = formStore[rule.dependentFieldName];
    if (!dependentFieldState || dependentFieldState && dependentFieldState.active === false)
      return false;
    switch (rule.condition) {
      case ">" /* MAJOR */:
        return dependentFieldValue > rule.value;
      case "<" /* MINOR */:
        return dependentFieldValue < rule.value;
      case "==" /* EQUALS */:
        return dependentFieldValue === rule.value;
      case "!=" /* DIFFERENT */:
        return dependentFieldValue !== rule.value;
      case ">=" /* MAJOR_OR_EQUAL */:
        return dependentFieldValue >= rule.value;
      case "<=" /* MINOR_OR_EQUAL */:
        return dependentFieldValue <= rule.value;
      default:
        return false;
    }
  });
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  validateRules
});
